Skip to content

# Interface: RegisteredPage

## Hierarchy

- RegisteredPage

## Index

### Properties

- components
- extensionId
- id
- params
- url

## Properties

### components

• components: PageComponents

Defined in src/extensions/registries/page-registry.ts:48

### extensionId

• extensionId: string

Defined in src/extensions/registries/page-registry.ts:45

### id

• id: string

Defined in src/extensions/registries/page-registry.ts:44

### params

• params: PageParams‹PageParam›

Defined in src/extensions/registries/page-registry.ts:47

### url

• url: string

Defined in src/extensions/registries/page-registry.ts:46